# Generated by Django 3.2.2 on 2021-07-08 20:42

from django.db import migrations, models
import django.db.models.deletion

def add_multiple_categories(apps, schema_editor):

    TypifyModel = apps.get_model('tickets', 'TypifyModel')

    for tipify in TypifyModel.objects.all():
        tipify.categories.add(tipify.category)

def remove_multiple_categories(apps, schema_editor):

    TypifyModel = apps.get_model('tickets', 'TypifyModel')

    for tipify in TypifyModel.objects.all():
        tipify.category = tipify.categories[0] if tipify.categories else None

class Migration(migrations.Migration):

    dependencies = [
        ('tickets', '0029_typifymodel_categories'),
    ]

    operations = [
        migrations.RunPython(add_multiple_categories, remove_multiple_categories)
    ]
